跳转到正文
皓量云擎文档
接口参考裸金属

获取裸金属实例

GET /api/v1/baremetal/allocations/{allocation_id},getBaremetalAllocation 的请求参数和响应结构。

GET /api/v1/baremetal/allocations/{allocation_id}

项目内容
操作标识getBaremetalAllocation
认证登录会话 Cookie

请求参数

名称位置必填类型说明与约束
allocation_idpath是string格式:uuid

响应

HTTP 状态含义
200成功
400请求失败
401请求失败
403请求失败
404请求失败
409请求失败
503请求失败
default请求失败
200 · application/json 响应结构
字段类型必填说明与约束
dataMetalAllocation是—
request_idstring是—
{
  "$ref": "#/$defs/MetalAllocationResponse",
  "$defs": {
    "MetalAllocationResponse": {
      "type": "object",
      "properties": {
        "data": {
          "$ref": "#/$defs/MetalAllocation"
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "data",
        "request_id"
      ],
      "additionalProperties": false
    },
    "MetalAllocation": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "uuid"
        },
        "node_id": {
          "type": "string",
          "format": "uuid"
        },
        "tenant_id": {
          "type": "string",
          "format": "uuid"
        },
        "image_id": {
          "type": "string",
          "format": "uuid"
        },
        "flavor_id": {
          "type": "string",
          "format": "uuid"
        },
        "name": {
          "type": "string"
        },
        "hostname": {
          "type": "string"
        },
        "pool_id": {
          "type": "string",
          "format": "uuid"
        },
        "ip": {
          "type": "string"
        },
        "capacity": {
          "$ref": "#/$defs/MetalHardware"
        },
        "state": {
          "type": "string"
        },
        "error": {
          "type": "string"
        },
        "created_at": {
          "type": "string",
          "format": "date-time"
        },
        "updated_at": {
          "type": "string",
          "format": "date-time"
        },
        "node_name": {
          "type": "string"
        },
        "power_state": {
          "type": "string"
        },
        "availability_zone_id": {
          "type": "string",
          "format": "uuid"
        },
        "availability_zone_name": {
          "type": "string"
        },
        "region_id": {
          "type": "string",
          "format": "uuid"
        },
        "image_name": {
          "type": "string"
        },
        "image_os": {
          "type": "string"
        },
        "flavor_name": {
          "type": "string"
        },
        "tenant_name": {
          "type": "string"
        },
        "root_device": {
          "$ref": "#/$defs/MetalRootDevice"
        }
      },
      "required": [
        "id",
        "node_id",
        "tenant_id",
        "image_id",
        "flavor_id",
        "name",
        "hostname",
        "pool_id",
        "ip",
        "capacity",
        "state",
        "error",
        "created_at",
        "updated_at",
        "node_name",
        "power_state",
        "availability_zone_id",
        "availability_zone_name",
        "region_id",
        "image_name",
        "image_os",
        "flavor_name",
        "tenant_name",
        "root_device"
      ],
      "additionalProperties": false
    },
    "MetalHardware": {
      "type": "object",
      "properties": {
        "architecture": {
          "type": "string"
        },
        "vcpus": {
          "type": "integer"
        },
        "memory_mib": {
          "type": "integer"
        },
        "model": {
          "type": "string"
        },
        "serial": {
          "type": "string"
        },
        "system_uuid": {
          "type": "string"
        },
        "disks": {
          "type": "array",
          "items": {
            "$ref": "#/$defs/MetalDisk"
          }
        }
      },
      "required": [
        "architecture",
        "vcpus",
        "memory_mib",
        "model",
        "serial",
        "system_uuid",
        "disks"
      ],
      "additionalProperties": false
    },
    "MetalDisk": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        },
        "serial": {
          "type": "string"
        },
        "wwn": {
          "type": "string"
        },
        "size_bytes": {
          "type": "integer"
        },
        "model": {
          "type": "string"
        }
      },
      "required": [
        "name",
        "serial",
        "wwn",
        "size_bytes",
        "model"
      ],
      "additionalProperties": false
    },
    "MetalRootDevice": {
      "type": "object",
      "properties": {
        "serial": {
          "type": "string"
        },
        "wwn": {
          "type": "string"
        }
      },
      "required": [
        "serial",
        "wwn"
      ],
      "additionalProperties": false
    }
  }
}
400 / 401 / 403 / 404 / 409 / 503 / default · application/json 响应结构
{
  "$ref": "#/$defs/ErrorResponse",
  "$defs": {
    "ErrorResponse": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "error": {
          "$ref": "#/$defs/ErrorDetail"
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "error",
        "request_id"
      ]
    },
    "ErrorDetail": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "NOT_IMPLEMENTED",
            "NOT_FOUND",
            "AUTH_REQUIRED",
            "FORBIDDEN",
            "VALIDATION_FAILED",
            "CONFLICT",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR",
            "RATE_LIMITED"
          ]
        },
        "message": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "fields": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "required": [
        "code",
        "message",
        "retryable"
      ]
    }
  }
}

响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。

本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。

本页目录